import Panel from "../views/Panel";

export default class GetRedPacketPanel extends Panel {
    public get skinKey() { return "GetRedPacketPanel" }

    public btnOk: eui.Button;
    public num: eui.Label;

    constructor(data: any) {
        super(data);
    }

    onSkinComplete() {
        super.onSkinComplete();
        this.btnOk.addEventListener(egret.TouchEvent.TOUCH_TAP, this.hidePanel, this);
        this.num.text = this.data["num"] + "元现金红包";
    }
}